System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.ValidationAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false)

ASP.NET Dynamic Data enables CRUD (Create, Read, Update and Delete) operations in a data model. You can specify the minimum and maximum length of characters for each field when data is being inserted or updated. For character data types, the and properties identify the largest number of bytes that are required in order to store a string.

Specifies the minimum and maximum length of characters that are allowed in a data field.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using a specified maximum length.

  The maximum length of a string.
- Method
  4.0.0.0
  System.String `` To be added.

  Applies formatting to a specified error message.

  The formatted error message.

  The name of the field that caused the validation failure.
- Method
  4.0.0.0
  System.Boolean ``

  This method determines whether an object is valid. If the value of the object is null, the method automatically validates object.

  Determines whether a specified object is valid.

  true if the specified object is valid; otherwise, false.

  The object to validate.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the maximum length of a string.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the minimum length of a string.